求助:每次装新的软件,都会把以前因为源错误没有装成功的软件重新装一遍

为当前最终发行版之前的所有版本提供支持
回复
raojunscu
帖子: 108
注册时间: 2006-10-07 11:07
来自: 成都
送出感谢: 0
接收感谢: 0

求助:每次装新的软件,都会把以前因为源错误没有装成功的软件重新装一遍

#1

帖子 raojunscu » 2007-05-17 16:18

ubuntu也太负责了麻 整得我每次都狂按ctrl+c来跳过 之后想再装软件就必须重启了 因为他老是提示我的新立得正在运行

我怎样设置才能去掉以前没有装成功那些程序呢

新人诚心求赐教 多谢了
头像
zmcbb30
帖子: 2717
注册时间: 2006-09-30 0:32
来自: 巴拉特星系第四行星──海尼森
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 zmcbb30 » 2007-05-17 16:23

执行 sudo apt-get clean 再安装

关于“源错误”请看相关的解决办法
头可断,血可流,靓女不可不追求
相艾唔好口,够姜就只抽

BARTON 2500+/1536MDDR400
EP8RDA3G/MX4000 128M64bit 8X
DiamondPlus9-6Y080L0-ATA133
Samsung743DF
HiweedDesktop-1.0
raojunscu
帖子: 108
注册时间: 2006-10-07 11:07
来自: 成都
送出感谢: 0
接收感谢: 0

#3

帖子 raojunscu » 2007-05-17 16:52

多谢了 终于不用频繁重启了 多谢多谢

那个好像不是源错误 好像是我网速问题 我在安装firefox 插件的时候出错的
raojunscu
帖子: 108
注册时间: 2006-10-07 11:07
来自: 成都
送出感谢: 0
接收感谢: 0

#4

帖子 raojunscu » 2007-05-17 17:00

好像不行样 大虾再帮我看下哈

我试着装了个已经装好的fcitx,然后还是出了下面错误

gba@gba-desktop:~$ sudo apt-get install fcitx
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
fcitx 已经是最新的版本了。
The following packages were automatically installed and are no longer required:
libchewing3-data libgtk1.2 libglib1.2 libwxgtk2.6-0 scim-chewing libchewing3
libmikmod2 libwxbase2.6-0 libgtk1.2-common mozilla-firefox-locale-zh-cn
scim-pinyin mozilla-firefox-locale-zh-tw
使用 '
' 来删除它们。
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
有 3 个软件包没有被完全安装或卸载。
需要下载 0B 的软件包。
解压缩后会消耗掉 0B 的额外空间。
正在设置 flashplugin-nonfree (9.0.31.0.2ubuntu1) ...
Downloading...
--16:59:25-- http://fpdownload.macromedia.com/get/fl ... nux.tar.gz
=> `./install_flash_player_9_linux.tar.gz'
正在解析主机 fpdownload.macromedia.com... 60.254.138.70
正在连接 fpdownload.macromedia.com|60.254.138.70|:80...
头像
stlxv
论坛版主
帖子: 8273
注册时间: 2006-05-03 0:39
来自: المريخ
送出感谢: 0
接收感谢: 1 次

#5

帖子 stlxv » 2007-05-17 17:07

代码: 全选

apt-get -f install
PHP是最好的语言!不服来战!
头像
zmcbb30
帖子: 2717
注册时间: 2006-09-30 0:32
来自: 巴拉特星系第四行星──海尼森
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 zmcbb30 » 2007-05-17 17:12

stlxv 写了:

代码: 全选

apt-get -f install
不能这样,好像是源有问题

lz是否混用源了?

比如是ubuntu606 dapper用了610edgy或704feisty的源?
头可断,血可流,靓女不可不追求
相艾唔好口,够姜就只抽

BARTON 2500+/1536MDDR400
EP8RDA3G/MX4000 128M64bit 8X
DiamondPlus9-6Y080L0-ATA133
Samsung743DF
HiweedDesktop-1.0
raojunscu
帖子: 108
注册时间: 2006-10-07 11:07
来自: 成都
送出感谢: 0
接收感谢: 0

#7

帖子 raojunscu » 2007-05-17 17:37

应该没有混用源

http://ftp.sjtu.edu.cn/ubuntu/ feisty和 http://debian.ustc.edu.cn/ubuntu/ feisty

错误就是这个 我是先重启了之后马上运行 sudo apt-get install fcitx的

The following packages were automatically installed and are no longer required:
libchewing3-data libgtk1.2 libglib1.2 libwxgtk2.6-0 scim-chewing libchewing3
libmikmod2 libwxbase2.6-0 libgtk1.2-common mozilla-firefox-locale-zh-cn
scim-pinyin mozilla-firefox-locale-zh-tw
使用 'apt-get autoremove' 来删除它们。
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
有 3 个软件包没有被完全安装或卸载。
需要下载 0B 的软件包。
解压缩后会消耗掉 0B 的额外空间。
正在设置 flashplugin-nonfree (9.0.31.0.2ubuntu1) ...
Downloading...
--16:59:25-- http://fpdownload.macromedia.com/get/fl ... nux.tar.gz
=> `./install_flash_player_9_linux.tar.gz'
正在解析主机 fpdownload.macromedia.com... 60.254.138.70
正在连接 fpdownload.macromedia.com|60.254.138.70|:80...
头像
zmcbb30
帖子: 2717
注册时间: 2006-09-30 0:32
来自: 巴拉特星系第四行星──海尼森
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 zmcbb30 » 2007-05-17 17:45

不要同时用两个

只留一个,其他注释掉(最好用wiki推荐的源,其他不能保证没问题)
头可断,血可流,靓女不可不追求
相艾唔好口,够姜就只抽

BARTON 2500+/1536MDDR400
EP8RDA3G/MX4000 128M64bit 8X
DiamondPlus9-6Y080L0-ATA133
Samsung743DF
HiweedDesktop-1.0
raojunscu
帖子: 108
注册时间: 2006-10-07 11:07
来自: 成都
送出感谢: 0
接收感谢: 0

#9

帖子 raojunscu » 2007-05-17 17:54

我是教育网 其他源慢死了 就上面那个交大的和合肥那个还可以点

你是啥子网 推荐个

还有个很菜很菜的问题 听他们说downthemall很好用 还说源里面已经添加了这个软件 为什么我用新立得搜索没有找到这个

软件呢?

多谢指点
afoo
帖子: 17
注册时间: 2007-01-14 21:18
送出感谢: 0
接收感谢: 0

#10

帖子 afoo » 2007-05-17 18:07

楼主,偶先前也遇到这个问题,有个软件需要在sf.net上下最新的组件,但是在它指定的路径上找不到文件,也就是像你这样的,我把那个软件直接干掉就解决了。用apt装的哪个出问题就用apt删掉哪个。你试试
头像
smallzhan
帖子: 112
注册时间: 2007-05-12 21:13
送出感谢: 0
接收感谢: 0

#11

帖子 smallzhan » 2007-05-17 18:48

不关源的事情,是你的网络连不上 sf...

直接 强制 删除 flashplayer 的那个包应该就可以了。

sudo apt-get --purge remove flashplugin-nonfree
回复

回到 “老旧版本支持”